[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TSpinEdit.OnChange

The OnChange event is fired when the spin edit value has changed.

## Declaration

Source position: spin.pp line 199

`published property TSpinEdit.OnChange : TNotifyEvent;`

## Description

This OnChange event is based on TCustomEdit.OnChange, so it is fired both on changes made by the user and also for changes made by code. A change is defined as a modification which will cause the text displayed on the screen by the control to change. This corresponds to a change in the property Value in the control. The event is called after the change takes place, so the Value property will contain the new value.

## See also

TCustomEdit.OnChange |  | Event handler signalled when the text for the control is changed.
TFloatSpinEdit.OnChange |  | The OnChange event is fired when the value for the spin edit has changed.